Bug 1733182 - when disabling Red Hat repository: Module::DelegationError: Katello::Repository#content_id delegated to root.content_id, but root is nil
Summary: when disabling Red Hat repository: Module::DelegationError: Katello::Reposito...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: John Mitsch
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 10:49 UTC by Jan Hutař
Modified: 2019-10-22 19:47 UTC (History)
3 users (show)

Fixed In Version: rubygem-katello-3.12.0.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:47:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
task error: Module::DelegationError: Katello::Repository#content_id delegated to root.content_id, but root is nil (22.85 KB, text/plain)
2019-07-25 10:49 UTC, Jan Hutař
no flags Details
Screenshots (93.51 KB, application/gzip)
2019-09-18 06:06 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27823 'Normal' 'Closed' 'when disabling Red Hat repository: Module::DelegationError: Katello::Repository#content_id delegated to root.content_id... 2019-11-18 18:29:17 UTC

Description Jan Hutař 2019-07-25 10:49:31 UTC
Created attachment 1593369 [details]
task error: Module::DelegationError: Katello::Repository#content_id delegated to root.content_id, but root is nil

Description of problem:
When disabling multiple (~10) Red Hat repositories, one task failed. Error attached


Version-Release number of selected component (if applicable):
satellite-6.6.0-5.beta.el7sat.noarch
rubygem-smart_proxy_dynflow-0.2.2-2.el7sat.noarch
tfm-rubygem-dynflow-1.2.3-1.el7sat.noarch
tfm-rubygem-foreman-tasks-0.15.5-2.el7sat.noarch
tfm-rubygem-foreman-tasks-core-0.3.0-1.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.13-2.el7sat.noarch
tfm-rubygem-smart_proxy_dynflow_core-0.2.2-1.el7sat.noarch


How reproducible:
seen for a first time


Steps to Reproduce:
1. I have enabled all RHEL6 i386 KS repositories (all on UI)
2. Then I have noticed it is not x86_64 repos I wanted and enabled these
3. Then I have disabled thse i386 KS repos


Actual results:
One of them failed


Expected results:
It should not fail


Additional info:
Resuming the task made it to finish correctly

Comment 2 Adam Ruzicka 2019-07-25 10:53:34 UTC
Changing the component to repositories as it looks the error comes from there, not from the tasking system itself.

Comment 4 John Mitsch 2019-09-10 20:21:32 UTC
Created redmine issue https://projects.theforeman.org/issues/27823 from this bug

Comment 5 Bryan Kearney 2019-09-11 18:05:05 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27823 has been resolved.

Comment 7 vijsingh 2019-09-18 06:05:12 UTC
ON_QA Verified

@Satellite 6.6.0 snap 20.1

Steps:

 1. Enabled all RHEL6 i386 KS repositories (all on UI)
 2. Then Disabled these i386 KS repos


Observation:

 Able to disable i386 KS repos

Comment 8 vijsingh 2019-09-18 06:06:37 UTC
Created attachment 1616092 [details]
Screenshots

Comment 9 Bryan Kearney 2019-10-22 19:47:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.